List payment methods for a payer
curl --request GET \
--url https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "pm_AbC123XyZ",
"type": "Card",
"active": true,
"default": false,
"card": {
"brand": "Visa",
"last4": "4242",
"expiry_month": "09",
"expiry_year": "2026",
"funding": "Credit",
"cardholder_name": "John Doe",
"country": "US",
"currency": "USD",
"fingerprint": "<string>",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"ach_debit": {
"account_number": "<string>",
"routing_number": "<string>",
"country": "US",
"currency": "USD",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"sepa_debit": {
"iban": "<string>",
"country": "DE",
"currency": "EUR",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"paypal": {
"email": "jsmith@example.com",
"payer_id": "<string>",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
}
]{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Payment Methods
List payment methods for a payer
GET
/
payers
/
{payer_id}
/
payment_methods
List payment methods for a payer
curl --request GET \
--url https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "pm_AbC123XyZ",
"type": "Card",
"active": true,
"default": false,
"card": {
"brand": "Visa",
"last4": "4242",
"expiry_month": "09",
"expiry_year": "2026",
"funding": "Credit",
"cardholder_name": "John Doe",
"country": "US",
"currency": "USD",
"fingerprint": "<string>",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"ach_debit": {
"account_number": "<string>",
"routing_number": "<string>",
"country": "US",
"currency": "USD",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"sepa_debit": {
"iban": "<string>",
"country": "DE",
"currency": "EUR",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"paypal": {
"email": "jsmith@example.com",
"payer_id": "<string>",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
}
]{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the payer.
Response
List of payment methods for the payer.
Example:
"pm_AbC123XyZ"
Type of payment method
Available options:
Card, AchDebit, SepaDebit, WireTransfer, PaperCheck, Cash, Paypal, ApplePay, GooglePay, Venmo, Zelle Example:
"Card"
Whether the payment method is active
Example:
true
Whether this is the default payment method for the payer
Example:
false
Card details (present when type is Card)
Show child attributes
Show child attributes
ACH bank account details (present when type is AchDebit)
Show child attributes
Show child attributes
SEPA bank account details (present when type is SepaDebit)
Show child attributes
Show child attributes
PayPal account details (present when type is Paypal)
Show child attributes
Show child attributes
Example:
"2025-10-08T18:20:31Z"
Example:
"2025-10-08T18:25:00Z"
Last modified on October 12, 2026